﻿/* ImporterTest.cs
 * part of zaaReloaded2
 * 
 * Copyright 2015-2018 Daniel Kraus
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;

namespace Tests.Medication
{
    [TestFixture]
    class ImporterTest
    {
        [Test]
        public void ImportDrugsTwoColumns()
        {
            string s =
                "Aktuelle Medikation:\r" +
                "Advagraf 1 mg	2-0-0 				CellCept 500 mg	1-0-1\r" +
                "CellCept 250 mg	1-0-1				Decortin 10 mg		1-0-0\r" +
                "Beloc-Zok mite	1-0-1				Ramipril 5 mg		0-0-1 (neu)\r" +
                "Pantozol 40 mg	0-0-1				Decostriol 0,5 µg	2-0-0\r" +
                "Euthyrox 200 µg	1-1-1 (gesteigert)			Ossofortin forte		1-0-1\r" +
                "Vfend 200 mg	2-0-2				CPS-Pulver		0-1-0\r" +
                "Cyklokapron 500 mg	1-1-1				Tamsulosin 0,4 mg	1-0-0           "; 
            zaaReloaded2.Medication.Importer i = new zaaReloaded2.Medication.Importer(s);
            Assert.AreEqual(14, i.Prescriptions.Count);
        }
    }
}
